// ProgressDialog.cpp : implementation file
//
// Copyright 2006 (c) RegExLab.com
//
// Author: ʷΰ (sswater shi)
//
// 2006/05/17 01:21:10
//

#include "stdafx.h"
#include "sntxaddn.h"

#include "SyntaxModule.h"
#include "ProgressDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgressDialog dialog

CProgressDialog::CProgressDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CProgressDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProgressDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_bRunning = TRUE;
	m_nPos     = 0;
	m_nLength  = 100;
	m_bInitalized = FALSE;
}

void CProgressDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgressDialog)
	DDX_Control(pDX, IDC_PROGRESS, m_ctlProgress);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CProgressDialog, CDialog)
	//{{AFX_MSG_MAP(CProgressDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProgressDialog message handlers

void CProgressDialog::OnCancel() 
{
	m_bRunning = FALSE;

	CDialog::OnCancel();
}

BOOL CProgressDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_ctlProgress.SetRange(0, 100);
	m_bInitalized = TRUE;

	m_synCreateProgress.Unlock();

	return TRUE;
}

VOID CProgressDialog::SetProgress(int nLen)
{
	int nPos = nLen * 100 / m_nLength;

	if( nPos > m_nPos && m_bRunning && m_bInitalized )
	{
		m_nPos = nPos;
		m_ctlProgress.SetPos( nPos );
	}
}
