// WordSntxAddn.h : Declaration of the CWordSntxAddn
//
// Copyright 2006 (c) RegExLab.com
//
// Author: ʷΰ (sswater shi)
//
// 2006/05/17 01:21:11
//

#ifndef __WORDSNTXADDN_H_
#define __WORDSNTXADDN_H_

#include "resource.h"       // main symbols

#import "C:\Program Files\Common Files\DESIGNER\MSADDNDR.DLL" raw_interfaces_only, raw_native_types, no_namespace, named_guids 

class CWordSntxAddn;
class CSyntaxModule;

/////////////////////////////////////////////////////////////////////////////
// ButtonEvents
typedef IDispEventSimpleImpl</*nID =*/ 1, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents1;
typedef IDispEventSimpleImpl</*nID =*/ 2, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents2;
typedef IDispEventSimpleImpl</*nID =*/ 3, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents3;
typedef IDispEventSimpleImpl</*nID =*/ 4, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents4;
typedef IDispEventSimpleImpl</*nID =*/ 5, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents5;
typedef IDispEventSimpleImpl</*nID =*/ 6, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents6;
typedef IDispEventSimpleImpl</*nID =*/ 7, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents7;
typedef IDispEventSimpleImpl</*nID =*/ 8, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents8;
typedef IDispEventSimpleImpl</*nID =*/ 9, CWordSntxAddn, &__uuidof(_CommandBarButtonEvents)> ButtonEvents9;

#define MAX_BUTTONS 9

/////////////////////////////////////////////////////////////////////////////
// CWordSntxAddn
class ATL_NO_VTABLE CWordSntxAddn : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CWordSntxAddn, &CLSID_WordSntxAddn>,
	public ISupportErrorInfo,
	public IDispatchImpl<IWordSntxAddn, &IID_IWordSntxAddn, &LIBID_SNTXADDNLib>,
	public IDispatchImpl<_IDTExtensibility2, &IID__IDTExtensibility2, &LIBID_AddInDesignerObjects>,
	public ButtonEvents1,
	public ButtonEvents2,
	public ButtonEvents3,
	public ButtonEvents4,
	public ButtonEvents5,
	public ButtonEvents6,
	public ButtonEvents7,
	public ButtonEvents8,
	public ButtonEvents9
{
// CWordSntxAddn
public:
	CWordSntxAddn();
	static VOID RemoveCommandBar(CComPtr <_Application> & wordApp);
	static CComPtr <CommandBar> InitCommandBar(CComPtr <_Application> & wordApp);

// Tables
public:
	// Registry
	DECLARE_REGISTRY_RESOURCEID(IDR_WORDSNTXADDN)

	DECLARE_PROTECT_FINAL_CONSTRUCT()

	// COM map
	BEGIN_COM_MAP(CWordSntxAddn)
		COM_INTERFACE_ENTRY(IWordSntxAddn)
	//DEL 	COM_INTERFACE_ENTRY(IDispatch)
		COM_INTERFACE_ENTRY(ISupportErrorInfo)
		COM_INTERFACE_ENTRY2(IDispatch, IWordSntxAddn)
		COM_INTERFACE_ENTRY(_IDTExtensibility2)
	END_COM_MAP()

	// Sink map
	BEGIN_SINK_MAP(CWordSntxAddn)
		SINK_ENTRY_INFO(1, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(2, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(3, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(4, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(5, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(6, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(7, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(8, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
		SINK_ENTRY_INFO(9, __uuidof(_CommandBarButtonEvents), /*dispid*/ 0x01, OnButtonClick, &OnClickButtonInfo)
	END_SINK_MAP()

// IWordSntxAddn
public:

// ISupportsErrorInfo
public:
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// _IDTExtensibility2
public:
	STDMETHOD(OnConnection)     (IDispatch * Application, ext_ConnectMode ConnectMode, IDispatch * AddInInst, SAFEARRAY * * custom);
	STDMETHOD(OnDisconnection)  (ext_DisconnectMode RemoveMode, SAFEARRAY * * custom);

	STDMETHOD(OnAddInsUpdate)   (SAFEARRAY * * custom){ return E_NOTIMPL; }
	STDMETHOD(OnStartupComplete)(SAFEARRAY * * custom){ return E_NOTIMPL; }
	STDMETHOD(OnBeginShutdown)  (SAFEARRAY * * custom){ return E_NOTIMPL; }

// CWordSntxAddn
private:
	BOOL LoadSyntaxes();
	HRESULT DispEventAdvise  ( int index, IDispatch * pDisp );
	HRESULT DispEventUnadvise( int index, IDispatch * pDisp );
	VOID __stdcall OnButtonClick(IDispatch * _CommandBarButton, VARIANT_BOOL * CancelDefault);
	BOOL InitCommandButtons(CComPtr <CommandBar> & spNewCmdBar);

private:
	static _ATL_FUNC_INFO OnClickButtonInfo;
	CComPtr <_Application> m_spApp;

	CSyntaxModule * m_pSyntax[MAX_BUTTONS];
	CComPtr <_CommandBarButton> m_spButtons[MAX_BUTTONS];

};

#endif //__WORDSNTXADDN_H_
